Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » M2T (model-to-text transformation) » [Xpand] Versions of logging bundles for Xpand/Xtend in recent builds
[Xpand] Versions of logging bundles for Xpand/Xtend in recent builds [message #534687] Wed, 19 May 2010 22:13
Ralf Ebert is currently offline Ralf EbertFriend
Messages: 168
Registered: July 2009
Senior Member
I just updated my IDE to RC1 and .target to the latest versions from the Helios release
site. This broke a project using Xtend because xtend typesystem needs mwe bundles and
these need the newest versions of the logging bundles:

o.e.emf.mwe2.runtime requires org.apache.log4j >= 1.2.15
o.e.emf.mwe.core and mwe.utils requires commons.logging >= 1.1.1

These versions were not provided by the RC1 Project SDK nor the Xpand SDK feature from the
Helios release site (only got 1.2.13 and 1.0.4)

So slf4j gets used (because it provides these packages as well and has the latest
versions, this got installed with the Xpand SDK (I suppose)) and this results in:

SLF4J: Failed to load class "org.slf4j.impl.StaticLoggerBinder".
SLF4J: See http://www.slf4j.org/codes.html#StaticLoggerBinder for further details.

If I understand the readme-bundles.txt in org.slf4j.api correctly, I'm supposed to have a
org.slf4j.impl fragment around. But there is none available nowhere, not even in orbit.

I fixed this by getting the latest bundle versions from orbit, adding them to the target,
and throwing slf4j out).

But it is for sure very annoying - it's easy to imagine that I could have spend the last
hour with something more pleasant than messing with logging bundles - are you sure you
need the latest versions of these bundles and if so, how are they supposed to be obtained?

--
- Ralf | http://www.ralfebert.de/
Previous Topic:[Acceleo] Problem resolving EClasses
Next Topic:[Xpand] Adding files to ouput
Goto Forum:
  


Current Time: Fri Nov 28 13:53:18 GMT 2014

Powered by FUDForum. Page generated in 0.10058 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software